Package: groovy.util.slurpersupport

## [Java] Class NoChildren

- groovy.util.slurpersupport.NoChildren

- Lazy evaluated representation of a GPath expression returning no children. As this class represents a GPath expression with no results, all methods are either NOPs or return an empty result.

  Authors:
    John Wilson

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GPathResult` | `name, namespaceMap, namespacePrefix, namespaceTagHints, parent`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `NoChildren (GPathResult parent, String name, Map<String, String> namespaceTagHints)` @param parent the GPathResult prior to the application of the expression creating this GPathResult

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `appendNode(Object newValue)` NOP
    `` | `boolean` | `asBoolean()` Returns `false`.
    `` | `void` | `build(GroovyObject builder)` NOP
    `` | `Iterator` | `childNodes()` Returns an empty `Iterator`.
    `` | `GPathResult` | `find(Closure closure)` Returns `this`.
    `` | `GPathResult` | `findAll(Closure closure)` Returns `this`.
    `` | `Iterator` | `iterator()` Returns an empty `Iterator`.
    `` | `Iterator` | `nodeIterator()` Returns an empty iterator.
    `` | `GPathResult` | `parents()` Throws a `GroovyRuntimeException`, because it is not implemented yet.
    `` | `protected void` | `replaceBody(Object newValue)` NOP
    `` | `protected void` | `replaceNode(Closure newValue)` NOP
    `` | `int` | `size()` Returns `0`.
    `` | `String` | `text()` Returns an empty `String`.
    `` | `Writer` | `writeTo(Writer out)` Does not write any output, just returns the writer.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GPathResult` | `appendNode, breadthFirst, childNodes, children, declareNamespace, depthFirst, equals, find, findAll, getAt, getAt, getBody, getProperty, hashCode, isEmpty, iterator, leftShift, list, lookupNamespace, name, nodeIterator, parent, parents, plus, pop, putAt, replaceBody, replaceNode, setMetaClass, setProperty, size, text, toBigDecimal, toBigInteger, toBoolean, toDouble, toFloat, toInteger, toLong, toString, toURI, toURL`
    `class GroovyObjectSupport` | `getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public NoChildren(GPathResult parent, String name, Map<String, String> namespaceTagHints)

      Parameters:
        `parent` - the GPathResult prior to the application of the expression creating this GPathResult
        `name` - if the GPathResult corresponds to something with a name, e.g. a node
        `namespaceTagHints` - the known tag to namespace mappings

  - ### Method Detail

    - #### protected void appendNode(Object newValue)

      NOP

    - #### public boolean asBoolean()

      Returns `false`.

      Returns:
        `false`

    - #### public void build(GroovyObject builder)

      NOP

    - #### public Iterator childNodes()

      Returns an empty `Iterator`.

      Returns:
        an empty `Iterator`

    - #### public GPathResult find(Closure closure)

      Returns `this`.

      Returns:
        `this`

    - #### public GPathResult findAll(Closure closure)

      Returns `this`.

      Returns:
        `this`

    - #### public Iterator iterator()

      Returns an empty `Iterator`.

      Returns:
        an empty `Iterator`

    - #### public Iterator nodeIterator()

      Returns an empty iterator.

      Returns:
        an empty iterator

    - #### public GPathResult parents()

      Throws a `GroovyRuntimeException`, because it is not implemented yet.

    - #### protected void replaceBody(Object newValue)

      NOP

    - #### protected void replaceNode(Closure newValue)

      NOP

    - #### public int size()

      Returns `0`.

      Returns:
        `0`

    - #### public String text()

      Returns an empty `String`.

      Returns:
        an empty `String`

    - #### public Writer writeTo(Writer out)

      Does not write any output, just returns the writer.

      Returns:
        the `Writer` which was passed in